--- bios-org.S	Thu Jul 14 20:12:07 2011
+++ bios.S	Thu Jul 14 21:29:33 2011
@@ -56,7 +56,7 @@
 			# part of the 16550 UART checks. 
 			# If you use VMware and direct serial to a file, you
 			# should disable this test.
-FORCE_PANIC      = 0	# Force panic mode on the first valid UART found without
+FORCE_PANIC      = 1	# Force panic mode on the first valid UART found without
 			# waiting for panic key (for testing only)
 MAX_LDN          = 0x20	# Maximum number of LDNs we test for UART functionality
 USE_IO_DELAY     = 1	# Add a few idle cycles between in/out operations in close
@@ -73,7 +73,7 @@
 			# 3 = Intel, 4 = ITE
 
 # AMD SB8x0 extra build options (TODO: conditional SB800 detection)
-SB800_48MHZ_INIT = 0	# Set to 1 to force 48 MHz clock init of AMD SB8x0 SouthBridge
+SB800_48MHZ_INIT = 1	# Set to 1 to force 48 MHz clock init of AMD SB8x0 SouthBridge
 			# NOTE: ONLY DO SO IF YOU KNOW WHAT YOU ARE DOING
 SB800_MMIO_PAGE  = 0x8000	# Page to map SB8x0 MMIO 
 
@@ -594,7 +594,7 @@
 	inc  dx
 	in   al, dx
 	or   al, 0x01			# enable AcpiMMio space
-	and  al, 0xfe			# disable I/O-mapped space, use Memory-mapped instead
+	and  al, 0xfd			# disable I/O-mapped space, use Memory-mapped instead
 	out  dx, al
 	
 	mov  ax, SB800_MMIO_PAGE	# Set our base page
@@ -604,6 +604,8 @@
 	and  al, 0xf8
 	or   al, 0x02			# Enable and set Device_CLK1 (Super I/O) to 48 Mhz
 	mov  [di], al
+	mov  ax, cs          # restore ds
+	mov  ds, ax
 .endif
 	jmp  sp
 lpc_intel:
